[Frage] Fehlermeldung nach pt_extbase Update auf Version 1.5.2 [Gelöst] TYPO3-Version: 6.1.7

  • nadra nadra
    T3PO
    0 x
    6 Beiträge
    0 Hilfreiche Beiträge
    26. 02. 2014, 08:03

    Hallo zusammen

    Bekomme nach Update von YAG (2.5.3 auf 3.1.2), pt_extbase (1.3.0 auf 1.5.2) und pt_extlist (1.2.1 auf 1.3.1) folgende Fehlermeldung im Frontend (auf Seiten mit einer YAG-Gallery) und im Backend im YAG-Folder:

    Fatal error: Declaration of Tx_PtExtbase_Controller_AbstractActionController::processRequest() must be compatible with that of TYPO3\CMS\Extbase\Mvc\Controller\ControllerInterface::processRequest() in /..../typo3temp/Cache/Code/cache_core/ClassLoader_AbstractActionController_f053e023e666e5f4af74.php on line 45

    Die Fehlermeldung erscheint sowohl unter TYPO3 4.7.17 als auch unter TYPO3 6.1.7.

    Cache geleert. typo3temp händisch geleert. Gleich Fehlermeldung.

    Gleiches wurde hier schon diskutiert: http://forge.typo3.org/issues/51036
    Jeodoch ist der Beitrag schon etwas älter.

    Infos zum Webserver:
    Apache 2.2
    PHP Version 5.3.3-7+squeeze18

    Danke für eure Hilfe im Voraus
    Harald

  • nadra nadra
    T3PO
    0 x
    6 Beiträge
    0 Hilfreiche Beiträge
    07. 04. 2014, 07:51 - Lösung

    Die Lösung wurde am 11.3.2014 im oben gannnten Forum (http://forge.typo3.org/issues/51036) gepostet und lautet:

    In Line 235 of /pt_extbase/Classes/Controller/AbstractActionController.php change:

    Current

    public function processRequest(Tx_Extbase_MVC_RequestInterface $request, \TYPO3\CMS\Extbase\Mvc\ResponseInterface $response) {

    Changed

    public function processRequest(\TYPO3\CMS\Extbase\Mvc\RequestInterface $request, \TYPO3\CMS\Extbase\Mvc\ResponseInterface $response ) {


  • 1
  • ejoo ejoo
    R2-D2
    0 x
    95 Beiträge
    7 Hilfreiche Beiträge
    27. 02. 2014, 21:47

    Ich hatte ein ähnliches Problem mit dem update. Es half, alles zu deinstallieren (yag, yag-themes, pt_extlist, pt_extbase, und extbase - unter Typo3 4.5) und wieder neu zu installieren.
    Siehe hier:
    http://www.typo3forum.net/forum/alle-anderen-extensions/58547-update-aktuellen-versionen-pt_extbase-pt_extlist-klappt.html
    Gruß ejoo

  • nadra nadra
    T3PO
    0 x
    6 Beiträge
    0 Hilfreiche Beiträge
    28. 02. 2014, 07:54

    Hallo ejoo

    Danke für den Tipp! Hat leider nichts gebracht. Hab das auch schon versucht gehabt, die Extensions die pt_extbase benutzen zu deinstallieren und wieder zu installieren - leider immer ohne Erfolg. Andauerndnes Löschen des Cache und von typo3temp miteinbezogen.

    Das Problem tritt nur unter TYPO3 6.x auf. In der Version 4.7 hab ich es mit dem "ganz normalen Updade" im Extensionsmanager nun ohne vorgängige Deinstallation der Extensions hinbekommen. Komisch, denn vor 2-3 Wochen hatte ich nach dem Update von pt_extbase, pt_extlist und yag auch unter TYPO3 4.7 auch die selbe Fehlermeldung.

    Gruss Harald

  • nadra nadra
    T3PO
    0 x
    6 Beiträge
    0 Hilfreiche Beiträge
    07. 04. 2014, 07:51

    Die Lösung wurde am 11.3.2014 im oben gannnten Forum (http://forge.typo3.org/issues/51036) gepostet und lautet:

    In Line 235 of /pt_extbase/Classes/Controller/AbstractActionController.php change:

    Current

    public function processRequest(Tx_Extbase_MVC_RequestInterface $request, \TYPO3\CMS\Extbase\Mvc\ResponseInterface $response) {

    Changed

    public function processRequest(\TYPO3\CMS\Extbase\Mvc\RequestInterface $request, \TYPO3\CMS\Extbase\Mvc\ResponseInterface $response ) {

  • 1